Jump to content




roshanbhavsar04

how to configure WSUS on SCCM 2012 (Win Server 2012)



Recommended Posts

hey guys,

 

does anybody have any idea, if we can configure WSUS on windows server 2012 (which also has sccm 2012 installed on it)

 

I have configured sccm 2012 stand alone primary server and sql database 2012 on separate windows server 2012. but whenever I run wsus 3.0 SP2 on sccm server it shows "this program is not compatible"

 

can anybody brief me process or steps to configure wsus in correct way??

 

 

-thanks

Share this post


Link to post
Share on other sites


i did that, but i wanted to know if WSUS 3.0 SP2 is compatible with server 2012 and even with sccm2012?

 

if you have any link, which has details configuratin steps, please post here..

Share this post


Link to post
Share on other sites

I would work to get that working instead of simply axing it and moving to an old version. 2012 and WSUS does work, we have it running in the lab. Make sure WSUS is configured properly would be my guess.

Share this post


Link to post
Share on other sites

we have tried to add SCCM SUP and then added WSUS on W2012, but it says..POST CONFIGURATION FAILED.

 

and we are not able to install WSUS properly.

 

You can get around that by running the WSUS admin console manually and filling out the content directory etc.

 

 

Somehow related but After that i'm experiencing an issue where WCM.log states "The installed WSUS build (0.0.0.0) does not have the valid and supported WSUS Administration DLL assembly version. Please install WSUS 3.0 SP2(minimum 3.1.6001.65) or above" whenever i try to install the software update point.. and yes, i have already installed the WSUS role on server 2012.

 

WSUS by itself works ok.

Share this post


Link to post
Share on other sites

I got the same problem! :angry:

 

I got it from here (he has great SCCM 2012 R2 blogs) :

http://prajwaldesai.com/installing-wsus-for-configuration-manager-2012-r2/

 

Is WSUS 3.0 SP2 required on SCCM 2012 R2 running Windows Server 2012 R2 standard?

 

WSUS 3.0 Service Pack 2 is required for System Center 2012 R2 Configuration Manager. SCCM 2012 R2 supports only 64-bit site systems, you must use the 64-bit version of WSUS on one of the supported 64-bit editions of Windows Server. The WSUS 3.0 SP2 is available here:- http://www.microsoft.com/en-us/download/details.aspx?id=5216

But when I tried to install it on Windows Server 2012 R2 Standard before adding WSUS role and before installing SCCM 2012 R2 on that box. I'm stuck...

WSUS30-KB972455-x64.exe (double click to install it)

This program has compatibility issues, Windows Server Update Services Microsoft. Click button: Get help online

post-8981-0-05972600-1389159090_thumb.jpg

Share this post


Link to post
Share on other sites

FYI, someone responding to me directly from other source:

* If you are installing using Windows Server 2012 then no because WSUS is version 4 in Server 2012.

* If installing on Server 2008(R2) then yes, but you should always look to update everything to latest versions anyway.

This is what I did: SCCM 2012 R2 setup with Server 2012 R2 Standard, I must add WSUS role first with Database (don't configure it). Then you'll pass the SCCM 2012 R2 Prereq check!

 

As you see from my screenshot below during the SCCM 2012 R2 Prereq, I got WSUS warning but I just leave it alone then added WSUS role on SCCM 2012 R2 with Server 2012 R2 Standard (I didn't figure the WSUS configuration, see screenshot). So far so good...

post-8981-0-77560900-1389165228_thumb.jpg

post-8981-0-59312300-1389165238_thumb.jpg

post-8981-0-16648500-1389165640_thumb.jpg

post-8981-0-14512000-1389165860_thumb.jpg

post-8981-0-29761800-1389165867_thumb.jpg

Share this post


Link to post
Share on other sites

Now, I could see SCCM 2012 is being created on my SCCM SQL 2012 on Server 2012 R2 Standard (on separate box, not on my SCCM 2012 box). Still crossing my fingers...

 

It finished! Let's see if it working :rolleyes:

post-8981-0-39762500-1389166537_thumb.jpg

post-8981-0-68303000-1389166715_thumb.jpg

Share this post


Link to post
Share on other sites

Finally, I was able to configure WSUS properly on my SCCM 2012 R2! My nightmare is over (since November 2013)!!! :)

 

This is not easy and I know lots of people out there will get confused if they are using Windows Server 2012 plain or R2.

 

You just need to follow my screenshots below.

 

1. You must WSUS Role on Windows Server 2012 plain or R2

 

then follow step by step my screenshots

post-8981-0-31062400-1389256787_thumb.jpg

post-8981-0-97953500-1389256801_thumb.jpg

post-8981-0-24159900-1389256813_thumb.jpg

post-8981-0-71860300-1389256824_thumb.jpg

post-8981-0-00751900-1389256836_thumb.jpg

post-8981-0-91948700-1389256898_thumb.jpg

post-8981-0-13690000-1389256906_thumb.jpg

post-8981-0-26309200-1389256914_thumb.jpg

post-8981-0-47185700-1389256921_thumb.jpg

post-8981-0-77099100-1389256929_thumb.jpg

post-8981-0-95429800-1389256935_thumb.jpg

post-8981-0-88137400-1389256945_thumb.jpg

post-8981-0-39521400-1389256953_thumb.jpg

post-8981-0-10335500-1389256960_thumb.jpg

post-8981-0-14719800-1389256968_thumb.jpg

post-8981-0-01333900-1389256977_thumb.jpg

Share this post


Link to post
Share on other sites

FYI, someone responding to me directly from other source:

* If you are installing using Windows Server 2012 then no because WSUS is version 4 in Server 2012.

 

* If installing on Server 2008(R2) then yes, but you should always look to update everything to latest versions anyway.

 

This is what I did: SCCM 2012 R2 setup with Server 2012 R2 Standard, I must add WSUS role first with Database (don't configure it). Then you'll pass the SCCM 2012 R2 Prereq check!

 

As you see from my screenshot below during the SCCM 2012 R2 Prereq, I got WSUS warning but I just leave it alone then added WSUS role on SCCM 2012 R2 with Server 2012 R2 Standard (I didn't figure the WSUS configuration, see screenshot). So far so good...

 

This is where people get confused!

 

Microsoft should add here, if you are running Server 2012 plain or R2, you do NOT need to install WSUS 3.0 SP2!!! This is only for Windows Server 2008

 

See screenshot below.

post-8981-0-04868600-1389258354_thumb.jpg

  • Like 1

Share this post


Link to post
Share on other sites

I was wondering if it was okay to have disable automatic updates in group policy to prevent client from obtaining updates without IT deploying them? Will it interfere with anything config mgr 2012?

Share this post


Link to post
Share on other sites

sorry to resurrect this old thread, but after following rezachin's instructions to the letter WSUS still won't sync and still produces this message in the WCM log:

"The installed WSUS build (0.0.0.0) does not have the valid and supported WSUS Administration DLL assembly version. Please install WSUS 3.0 SP2(minimum 3.1.6001.65) or above SMS_WSUS_CONFIGURATION_MANAGER 7/21/2014 9:01:06 AM 3656 (0x0E48)"
Is there any additional troubleshooting steps you would recommend?
I have restarted the SMS_SITE_COMPONENT_MANAGER service (several times)
Uninstalled/reinstalled the WSUS role
Firewall is OFF
Thanks!

Share this post


Link to post
Share on other sites

I've also continued monitoring the WCM.log and its also continuing to produce this message that I'm quite frankly not really understanding:

 

"Remote configuration failed on WSUS Server. SMS_WSUS_CONFIGURATION_MANAGER 7/21/2014 1:01:05 PM 3656 (0x0E48)"
I'm confused as to why its stating that "remote" configuration failed when my CAS is the active software update point. Unless that setting in SC12Cm means it's looking for a configured site server?
Thank you.

Share this post


Link to post
Share on other sites

Haven't really payed attention to the "remote" wording, but AFAIK that log file always mentions it like that. Even for local configurations. So it looks like something already goes wrong there. What does your CAS config looks like (number of server, different roles per server)?

Share this post


Link to post
Share on other sites

Hello,

I see this post is a bit old but was hoping I could get some help as I am having the same issue. I am running WSUS on a Windows Server 2012 R2 and its version shows 6.0.xxx. I am installing SCCM current branch and it keeps saying that the WSUS version needs to be at least WSUS 3.0 SP2 or later. But it should be since it is version 6.0.xxx. I did notice my WSUS server was configured on WID, would that cause any issues?

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now


×